#include <cctype>

using std::tolower;
using std::toupper;

#include "stringfun.hh"

const std::string argsplit(std::vector<std::string> &dest, std::string &src)
{
	const char *s = src.c_str();
	const char *p = strchr(s, ' ');
	if(!p)p = strchr(s, 0);

	std::string tmp = src.substr(0, p-s);
	while(*p == ' ')++p;
	src.erase(0, p-s);

	dest.push_back(tmp);
	return tmp;
}

const std::string strtolower(const std::string &s)
{
	std::string t = s;
	unsigned a, b=s.size();
	for(a=0; a<b; ++a)t[a] = tolower(t[a]);
	return t;
}

const std::string strtoupper(const std::string &s)
{
	std::string t = s;
	unsigned a, b=s.size();
	for(a=0; a<b; ++a)t[a] = toupper(t[a]);
	return t;
}
